// Service lấy thông tin tài chính của lái xe
import apiClient from "../infrastructure/apiClient";
import apiPath from "../infrastructure/apiPath";

const driverFinanceService = {
  // Lấy tổng số tiền lái xe đang cầm và đơn hàng gần nhất
  async getDriverFinanceInfo() {
    const url = apiPath.driverFinance.getFinancialInfo;
    return await apiClient
      .get(url)
      .then((r) => r.data)
      .catch((e) => {
        console.log(e);
        return {};
      });
  },
  // Tìm kiếm tất cả đơn hàng tài chính của lái xe
  async searchAllOrders(searchModel) {
    const url = apiPath.driverFinance.searchFinancialOrders;
    const params = JSON.parse(JSON.stringify(searchModel));
    return await apiClient
      .post(url, params)
      .then((r) => r.data)
      .catch((e) => {
        console.log(e);
        return { items: [], total: 0 };
      });
  },
};

export default driverFinanceService;
